[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolution.FillDescription

Stores the image description for the raw image data for the resolution.

## Declaration

Source position: imglist.pp line 153

`public procedure TCustomImageListResolution.FillDescription(`
`out ADesc: TRawImageDescription`
`);`

## Arguments

`ADesc` |  | Stores values updated in the method.

## Description

FillDescription is a procedure used to store descriptive information about the raw image data in the resolution. FillDescription provides metadata about the image, similar to the metadata in TIFF (Tagged Image File Format). It provides information needed to process and render images from their raw image data.

ADesc is the TRawImageDescription output parameter where the information is stored in the method. FillDescription calls the Init method in ADesc to reset the values in the class instance to their defaults.

FillDescription sets the value for the following properties in ADesc:

Format
  ricfRGBA
PaletteColorCount
  0
MaskBitsPerPixel
  0
Depth
  32
Width
  Value stored in the Width property
Height
  Value stored in the Height property
BitOrder
  riboBitsInOrder
ByteOrder
  riboMSBFirst
LineOrder
  riloTopToBottom
BitsPerPixel
  32
LineEnd
  rileDWordBoundary
RedPrec
  8
RedShift
  8
GreenPrec
  8
GreenShift
  16
BluePrec
  8
BlueShift
  24
AlphaPrec
  8
AlphaShift
  0

FillDescription is used in the implementation of the GetFullRawImage and GetRawImage methods.

## See also

TCustomImageListResolution.GetRawImage |  | Gets the 32-bit RGBA raw image data for the specified image.
TRawImageDescription